Arbitrary File Reading Affecting org.apache.camel:camel-core package, versions (,2.11.3] [2.12.0,2.12.2]


0.0
high

Snyk CVSS

    Attack Complexity Low
NVD  high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-JAVA-ORGAPACHECAMEL-30003
  • published 28 Feb 2014
  • disclosed 28 Feb 2014
  • credit David Jorm

Overview

org.apache.camel:camel-core is a versatile open-source integration framework based on known Enterprise Integration Patterns. The XSLT component in Apache Camel before 2.11.4 and 2.12.x before 2.12.3 allows remote attackers to read arbitrary files and possibly have other unspecified impact via an XML document containing an external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue.